Bug 241353 - [PATCH] devel/sdl12: move linux includes to ext port
Summary: [PATCH] devel/sdl12: move linux includes to ext port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on: 241348
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-19 22:31 UTC by rozhuk.im
Modified: 2019-11-27 10:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
patch (47.63 KB, patch)
2019-10-19 22:31 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-10-19 22:31:24 UTC
Created attachment 208435 [details]
patch

Use include files from devel/evdev-proto.
Comment 1 Dmitry Marakasov freebsd_committer 2019-10-22 19:02:46 UTC
LGTM, waiting for 241348 to be committed.
Comment 2 commit-hook freebsd_committer 2019-11-27 10:41:43 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 27 10:40:48 UTC 2019
New revision: 518493
URL: https://svnweb.freebsd.org/changeset/ports/518493

Log:
  devel/sdl12: Remove bundled evdev headers and use evdev-proto instead

  PR:		241353
  Submitted by:	rozhuk.im@gmail.com
  Approved by:	amdmi3 (maintainer)

Changes:
  head/devel/sdl12/Makefile
  head/devel/sdl12/files/input-event-codes.h
  head/devel/sdl12/files/input.h
  head/devel/sdl12/files/joystick.h
  head/devel/sdl12/files/types.h